Go to the latest version of this document.

# ``twisted`.`mail`.`_cred`.`PLAINAuthenticator``

class documentation

`class PLAINAuthenticator: (source)`

Constructor: `PLAINAuthenticator(user)`

Implements interfaces: `twisted.mail.interfaces.IClientAuthentication`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `challengeResponse` | Generate a challenge response string.
Method | `getName` | Return an identifier associated with this authentication scheme.
Instance Variable | `user` | Undocumented

def __init__(self, user): (source)

Undocumented

def challengeResponse(self, secret, chal): (source)
from `twisted.mail.interfaces.IClientAuthentication`

Generate a challenge response string.

def getName(self): (source)
from `twisted.mail.interfaces.IClientAuthentication`

Return an identifier associated with this authentication scheme.

Returns
`bytes` | Undocumented

user = (source)

Undocumented